DRM_DP_LINK_PROBE(9)

NAME
drm_dp_link_probe - probe a DisplayPort link for capabilities

SYNOPSIS

int drm_dp_link_probe(struct drm_dp_aux * aux, struct drm_dp_link * link);

ARGUMENTS

aux
    DisplayPort AUX channel

link
    pointer to structure in which to return link capabilities

DESCRIPTION

The structure filled in by this function can usually be passed directly into drm_dp_link_power_up and drm_dp_link_configure to power up and configure the link based on the link's capabilities.

Returns 0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT